# frozen_string_literal: true

require_relative 'lib/prune'
require 'rspec/core/rake_task'

RSpec::Core::RakeTask.new(:spec)

task default: :spec

desc 'Prune packages for a given repo'
task :prune, [:repo, :age_days, :max_count_to_remove] do |_t, args|
  Prune.new(args[:repo], args[:age_days], args[:max_count_to_remove])
       .execute
end
